aplus-fsf (4.22.1-13) unstable; urgency=medium

  * Added build dependency on libnsl-dev. (Closes: #1065159, #1066400).

 -- Neil Roeth <neil@debian.org>  Wed, 27 Mar 2024 16:31:30 -0400

aplus-fsf (4.22.1-12) unstable; urgency=medium

  * Updated debhelper compatibility level to 13.
  * Support parallel building. (Closes: #720962).

 -- Neil Roeth <neil@debian.org>  Mon, 25 Dec 2023 22:10:05 -0500

aplus-fsf (4.22.1-11) unstable; urgency=medium

  * Updated to source format 3.0 (quilt). (Closes: #1036274).
  * Reinstated package aplus-fsf-el.

 -- Neil Roeth <neil@debian.org>  Sun, 17 Dec 2023 17:24:29 -0500

aplus-fsf (4.22.1-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against glibc 2.32 by using strerror() instead of sys_errlist.
    Thanks to Logan Rosen <logan@ubuntu.com>. (Closes: #979462)
  * Fix FTBFS on GCC-11, avoiding ordered pointer comparisons with integer.
    Thanks to Lukas Märdian <slyon@ubuntu.com>. (Closes: #983970)

 -- Marcos Talau <marcos@talau.info>  Wed, 13 Apr 2022 12:10:56 -0300

aplus-fsf (4.22.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs. (Closes: #925633)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2020 22:51:54 +0000

aplus-fsf (4.22.1-10) unstable; urgency=medium

  * Removed implicit build dependency on g++-6 (Closes: #871171).

 -- Neil Roeth <neil@debian.org>  Wed, 06 Sep 2017 22:09:18 -0400

aplus-fsf (4.22.1-9) unstable; urgency=medium

  * Applied patch to explicitly declare some functions.  Thanks Steve
    Langasek. (Closes: #830840).
  * Build with GCC 6 using -std=gnu++98. (Closes: #831169).
  * Changed src/main/Makefile.am to use libdir instead of prefix for IMDIRVAL.
  * Explicitly specify x-includes and x-libraries when configuring because
    it failed to find automatically otherwise.
  * Added calls to pthread_mutexattr_init() to avoid spurious errors.

 -- Neil Roeth <neil@debian.org>  Sun, 28 Aug 2016 09:06:52 -0400

aplus-fsf (4.22.1-8) unstable; urgency=medium

  * Fixed FTBFS by changing HAVE_SVR4 to HAVE_SIGACTION because it is the
    presence of sigaction that is actually required. (Closes: #790226).
  * Added build-arch and build-indep targets. (Closes: #821963).

 -- Neil Roeth <neil@debian.org>  Sun, 10 Jul 2016 21:40:38 -0400

aplus-fsf (4.22.1-7) unstable; urgency=medium

  * Increased recursion limit with patch from Doug Telford.
  * Added dependency on libstdc++6 >= 5.2.1 which has some required
    symbols but which dh_shlibdeps does not find. (Closes: #794922).

 -- Neil Roeth <neil@debian.org>  Tue, 27 Oct 2015 22:51:18 -0400

aplus-fsf (4.22.1-6) unstable; urgency=low

  * Install docs in aplus-fsf-el so copyright is included.  (Closes:
    #683938).
  * Corrected aplus-fsf-el.NEWS format.

 -- Neil Roeth <neil@debian.org>  Sun, 05 Aug 2012 13:07:00 -0400

aplus-fsf (4.22.1-5) unstable; urgency=low

  * Made aplus-fsf-el inoperative because it depends upon XEmacs 21 which
    is removed from Debian.  Files can still be edited with vi in an
    xterm, and the interpreter is still fully functional.

 -- Neil Roeth <neil@debian.org>  Fri, 03 Aug 2012 20:04:08 -0400

aplus-fsf (4.22.1-4.2) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #674316.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 12:50:41 +0000

aplus-fsf (4.22.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ../MSTypes/MSTypeData.H:54:23: error: declaration of
    'operator new' as non-function": add patch from Ubuntu / Andreas Moog:
    - src/main/Makefile.am/in: Fix order of arguments to allow building 
      with --as-needed.
    - src/MSGUI/Makefile.am/in: Include X11 libs when linking
    - src/MSTypes/MSTypeData.H: Add <cstddef> to headers (LP: #766003)
    (Closes: #625102)

 -- gregor herrmann <gregoa@debian.org>  Thu, 08 Dec 2011 14:56:21 +0100

aplus-fsf (4.22.1-4) unstable; urgency=low

  * Fix FTBFS with changes to MSFloat.C and MSUtil.C. (Closes: #560446).
  * Updated standards version to 3.8.3 (no changes necessary).

 -- Neil Roeth <neil@debian.org>  Mon, 28 Dec 2009 00:23:44 -0500

aplus-fsf (4.22.1-3) unstable; urgency=low

  * Now put updated config.{sub,guess} in the proper location.
    (Closes: #536428).
  * Removed unnecessary debian/xfonts-kapl.{postinst,prerm}.
  * Changed dh_clean -k to dh_prep in debian/rules.
  * Updated standards version to 3.8.2 (no changes).
  * Removed unnecessary call to dh_makeshlibs that caused lintian error
    about unnecessary call to ldconfig.
  * Fixed file location for rgb.txt and fixed method that reads it to
    handle comments properly.

 -- Neil Roeth <neil@debian.org>  Mon, 20 Jul 2009 22:38:10 -0400

aplus-fsf (4.22.1-2) unstable; urgency=low

  * Rebuild to get up to date config.{sub,guess}. (Closes: #535728).

 -- Neil Roeth <neil@debian.org>  Sat, 04 Jul 2009 20:00:08 -0400

aplus-fsf (4.22.1-1) unstable; urgency=low

  * New upstream release.
  - Fixes errors on amd64 platform. (Closes: #468131)
  - Also fixes "Font problems in aplus-fsf in Debian-40r0-amd64" which I
    believe is a 64 bit problem, not a font problem. (Closes: #422970)
  * Fixed "aplus-fsf: bashism in debian/rules". (Closes: #472909)
  * Added patch from Stephen Ma for "Entering APL characters via C-c
    prefix". (Closes: #413028)
  * Moved dyld'ed shared objects to /usr/lib/aplus-fsf. They are used only
    by the A+ binary. Moved system A+ scripts to /usr/lib/aplus-fsf/lib.
  * debian/rules: Do not ignore errors in make distclean.
  * debian/rules: Incremented debhelper compatibility version to 6.

 -- Neil Roeth <neil@debian.org>  Mon, 07 Apr 2008 23:04:32 -0400

aplus-fsf (4.20.2-5) unstable; urgency=medium

  * Move xfonts-kapl.postrm to .prerm, it depends on fc-cache which could
    get removed before this package, making the removal of xfonts-kapl
    fail.  Thanks to Lucas Nussbaum. (closes: #398832)

 -- Neil Roeth <neil@debian.org>  Sat, 18 Nov 2006 09:23:17 -0500

aplus-fsf (4.20.2-4) unstable; urgency=low

  * "FTBFS with G++ 4.1: cannot convert MSObjectVector<MSBool> to int"
    Thanks to Martin Michlmayr, and to Ben Hutchings for supplying the
    patches. (closes: #357770)
  * "xfonts-kapl: X fonts transition" Moved fonts to /usr/share/fonts and
    xfonts-kapl.alias to /etc/X11/fonts/X11R7, thanks to Joey
    Hess. (closes: #362387)

 -- Neil Roeth <neil@debian.org>  Wed, 19 Apr 2006 23:11:51 -0400

aplus-fsf (4.20.2-3) unstable; urgency=low

  * Use KAPL.TTF font so help is viewable in web browsers.

 -- Neil Roeth <neil@debian.org>  Sat,  7 Jan 2006 15:43:15 -0500

aplus-fsf (4.20.2-2) unstable; urgency=low

  * Make tr64() global instead of local to avoid FTBFS on 64 bit machines.
  * Added stdio.h and string.h to avoid warnings.

 -- Neil Roeth <neil@debian.org>  Fri,  2 Sep 2005 21:36:16 -0400

aplus-fsf (4.20.2-1) unstable; urgency=low

  * New upstream release
  - Incorporates my changes to compile under g++ 4.0.
  - Adds new scripts directory with example scripts.

 -- Neil Roeth <neil@debian.org>  Mon, 29 Aug 2005 21:07:14 -0400

aplus-fsf (4.18.8-12) unstable; urgency=low

  * Apply patch from Matt Kraai to fix FTBFS. (closes: #318361)
  * Remove aplus-fsf.postinst which ran tests. (closes: #301907)
  * Updated libtool to 1.5.6.

 -- Neil Roeth <neil@debian.org>  Sun,  7 Aug 2005 07:48:01 -0400

aplus-fsf (4.18.8-11) unstable; urgency=low

  * Added include of errno.h in src/cxsys/sfe.c to avoid problems running
    with 2.6 kernels. (closes: #230879)
  * Applied patch supplied by Andreas Jochens for multiple files to allow
    compiling under gcc 3.4 and 4.0 - "an explicit specialization must be
    preceded by 'template <>'" (closes: #264679, #285130)
  * Added dh_buildinfo to debian/rules.

 -- Neil Roeth <neil@debian.org>  Tue, 21 Dec 2004 07:41:06 -0500

aplus-fsf (4.18.8-10) unstable; urgency=low

  * Moved debhelper compatibility level from d/rules to d/compat.
  * Added autoinit target to d/rules to run autotools script.
  * Removed gruesome sed hack to get libtool to use g++ for linking; new
    libtool 1.5 does this properly.
  * Added AM_MAINTAINER_MODE to configure.in; it's a more common way to
    handle timestamp problems than the method introduced in 4.18.8-7.
  * Removed build dependency on gcc 3.2 (formerly needed for some
    platforms).
  * Cleaned up d/rules a bit more by using target-specific DH_OPTIONS.
  * Added the description of A+ to the aplus-fsf-doc package extended
    description, modified some other descriptions to make it more clear
    which packages to install for the run-time vs. development
    environments. (Would have closed 209425).
  * Updated to policy 3.6.1 (no changes).
  * Fixed emacs install/remove scripts so that upgrades no longer blow
    away A+ scripts.

 -- Neil Roeth <neil@debian.org>  Wed,  8 Oct 2003 21:54:42 -0400

aplus-fsf (4.18.8-9) unstable; urgency=low

  * Added testing for g++ 3.3 headers to configure.in and use of the
    resulting #defines in the code instead of previous ad hoc method.
  * Handle noopt and nostrip DEB_BUILD_OPTIONS as recommended by policy.

 -- Neil Roeth <neil@debian.org>  Wed, 16 Jul 2003 18:33:53 -0400

aplus-fsf (4.18.8-8) unstable; urgency=low

  * Fix auto-mode-alist modification in startup code of aplus-fsf-el to
    use a-minor-mode, not a-mode.
  * Fix startup to check for existence of aplus-fsf-el package, to avoid
    error if removed but not purged.
  * Changes to allow compiling with g++ 3.3  (closes: #196240)
  - replaced deprecated headers with newer equivalents
  - disambiguated definitions of xAxis() in AplusGUI/AplusTrace.[CH]
  - resolved int/unsigned incompatibilities
  * Force libtool to use g++ for linking so that stdc++ libraries are
    linked in.

 -- Neil Roeth <neil@debian.org>  Wed, 11 Jun 2003 18:29:56 -0400

aplus-fsf (4.18.8-7) unstable; urgency=low

  * Fixed timestamp bug that caused FTBFS on m68k and arm.

 -- Neil Roeth <neil@debian.org>  Sat, 19 Apr 2003 21:19:58 -0400

aplus-fsf (4.18.8-6) unstable; urgency=low

  * Revamped the build process, making better use of debhelper tools.

 -- Neil Roeth <neil@debian.org>  Tue, 25 Mar 2003 21:56:59 -0500

aplus-fsf (4.18.8-5) unstable; urgency=low

  * Fixed broken test for arm introduced in -4.
  
  * Handled race condition that caused Makefile.in to be unnecessarily
    rebuilt by saving timestamps of all files, and putting that timestamp
    back in the configure-stamp step.

 -- Neil Roeth <neil@debian.org>  Sat, 15 Mar 2003 21:16:14 -0500

aplus-fsf (4.18.8-4) unstable; urgency=low

  * Skip FP_INEXACT for arm, not available.

  * Made architecture any.  Closes: #176314

 -- Neil Roeth <neil@debian.org>  Mon,  3 Mar 2003 21:59:17 -0500

aplus-fsf (4.18.8-3) unstable; urgency=low

  * Added test run (fsftest.+) to aplus-fsf.postinst.
  
  * Changes to allow compiling with g++-3.2, will change Build-Depends and
    rules to reflect that when it is available on all architectures that
    aplus-fsf depends on.  Closes: #166887
  
  * Changed architecture of aplus-fsf-dev meta package to same as
    aplus-fsf, upon which it depends.
  
  * Reverted aplus-fsf-el back to architecture all, because
    xemacs21-nomule is supposed to be available there.

 -- Neil Roeth <neil@debian.org>  Wed,  6 Nov 2002 22:20:15 -0500

aplus-fsf (4.18.8-2) unstable; urgency=low

  * Excluded arm mips mipsel from aplus-fsf (FTBFS).
  
  * Excluded hppa m68k from aplus-fsf-el, depends on xemacs21-nomule,
    apparently not available on those.

 -- Neil Roeth <neil@debian.org>  Thu, 24 Oct 2002 22:21:51 -0400

aplus-fsf (4.18.8-1) unstable; urgency=low

  * Initial Release.
   
 -- Neil Roeth <neil@debian.org>  Wed, 20 Mar 2002 23:02:00 -0500
  
